//========================================================
// braundorf.shader
//========================================================


//========================================================
// standard textures
//========================================================

textures/braundorf/braundorf_kaserne_b6
{ 
   qer_editorimage textures/braundorf/braundorf_kaserne.tga
   nomipmaps
   nopicmip
   surfaceparm pointlight
   surfaceparm trans
   surfaceparm woodsteps
   { 
      map textures/braundorf/braundorf_kaserne.tga
   } 
}

textures/braundorf/light_m25b
{
   qer_editorimage textures/braundorf/light_m25b.tga
   q3map_lightimage textures/braundorf/light_msb1.tga
   q3map_lightsubdivide 128
   q3map_surfacelight 8000
   surfaceparm nomarks
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/braundorf/light_m25b.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
   {
      map textures/braundorf/light_m25b.tga
      blendFunc GL_ONE GL_ONE
   }
}


// ======================================================================
// Alpha blending without dotProduct2 and ivector
// ======================================================================
textures/braundorf/bld_rock2grass		// Normal texture blending
{
    qer_editorimage textures/braundorf/rock2grass_editor_image.tga
	
	q3map_nonplanar
	q3map_shadeAngle 90
	
	{
		map textures/braundorf/rock.tga	// Primary
		rgbGen identity
	}
	{
		map textures/braundorf/grass.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// Hong Phonged textures
// ======================================================================
textures/braundorf/rock_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
        qer_editorimage textures/braundorf/rock.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/braundorf/rock.tga
		blendFunc filter
	}
}

// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================

textures/braundorf/terrain_grassdirt
{
        qer_editorimage textures/braundorf/terrain_grassdirt.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	surfaceparm grasssteps
 	surfaceparm landmine
	
	{
		map textures/braundorf/grass.tga	// Primary
		rgbGen identity
	}
	{
		map textures/braundorf/dirt.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/braundorf/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/braundorf/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/braundorf/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/braundorf/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/braundorf/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/braundorf/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

/////GOLDRUSH

textures/goldrush/pavement_quad
{
	qer_editorimage textures/desert_sd/pavement_quad_sandy.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		blendFunc filter
		tcMod scale 1.75 1.75
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}


////RADAR

textures/radar/road_braundorf
{	
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.jpg
	surfaceparm trans	
	{
		map textures/temperate_sd/dirt_m03icmp_brown.jpg
		alphaFunc GE128
		rgbGen vertex
	}
}


////TOBRUK_WINDOWS_SD

textures/tobruk_windows_sd/tobruk_windows_bright
{
	qer_editorimage textures/tobruk_windows_sd/tobruk_windows_on2.tga
	q3map_surfacelight 120
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_on2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_on1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tobruk_windows_sd/tobruk_windows_medium
{
	qer_editorimage textures/tobruk_windows_sd/tobruk_windows_on1.tga
	q3map_surfacelight 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_off.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tobruk_windows_sd/tobruk_windows_on1.tga
		blendfunc GL_ONE GL_ONE
	}
}


//////VILLAGE

textures/village/villwin_c12m_glass
{
	qer_editorimage textures/village/villwin_c12m.tga
	qer_trans 0.7
	cull disable
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/village/villwin_c12m.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc blend
		//alphaFunc GE128
		rgbgen vertex
		depthWrite
	}
}


//////SKIES_SD

textures/skies_sd/batterysunfog
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/skies_sd/batterysunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/skies/sd_batterysky
{
	nocompress
	qer_editorimage textures/skies/topclouds.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_sun 1 .96 .87 140 140 8
	q3map_skylight 60 3
	q3map_nofog
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	sunshader textures/skies_sd/batterysunfog
 
	
	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}



//// MODELS_MAPOBJECTS

models/mapobjects/tree_temperate_sd/trunk_temperate
{
	surfaceparm nomarks
	{
		map models/mapobjects/tree_temperate_sd/trunk_temperate.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/tree_temperate_sd/leaves_temperate1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/tree_temperate_sd/leaves_temperate2
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/tree_temperate_sd/leaves_temperate3
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/tree_temperate_sd/trunk_temperate
{
	surfaceparm nomarks
	{
		map models/mapobjects/tree_temperate_sd/trunk_temperate.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

models/mapobjects/plants_sd/grass_green1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/grass_green1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map models/mapobjects/plants_sd/grass_green1.tga
		alphaFunc GE128
	    rgbGen vertex
	}
}

